commit:     55edc89228f41b27f731e771773daefec9c286bc
Author:     Jeroen Roovers <jer <AT> gentoo <DOT> org>
AuthorDate: Tue Sep 20 19:05:11 2016 +0000
Commit:     Jeroen Roovers <jer <AT> gentoo <DOT> org>
CommitDate: Tue Sep 20 19:05:11 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=55edc892

dev-util/debootstrap: Version bump.

Package-Manager: portage-2.3.1

 dev-util/debootstrap/Manifest                  |  1 +
 dev-util/debootstrap/debootstrap-1.0.83.ebuild | 52 ++++++++++++++++++++++++++
 2 files changed, 53 insertions(+)

diff --git a/dev-util/debootstrap/Manifest b/dev-util/debootstrap/Manifest
index 1821f58..2687a8d 100644
--- a/dev-util/debootstrap/Manifest
+++ b/dev-util/debootstrap/Manifest
@@ -1,4 +1,5 @@
 DIST debootstrap_1.0.75.tar.gz 61897 SHA256 
4fdc5daf7bce3816a7faa916e7cbd6d45357f241f0d845bec0015c06fd7c7cd6 SHA512 
bbf4a9e33ee0b398064aa12ba77c7e2ad8fba0e050a8d821341c9c065f8554476aaa6c67f93e3255f85828b98643080f331aee9de6a901a9d5fb5cbcb8ed6beb
 WHIRLPOOL 
dca8e385102ef03ea970320fc1fea8a8f44fc09b78384591911df046afb0f14157e90fafb3cf8c021ea7568e22eea9f26674eb07cfb25b21ed72810cf0957c7a
 DIST debootstrap_1.0.81.tar.gz 64394 SHA256 
344c7f841504c262d5088e9618f1d5f79bc122bffbb1dce2873c5e38029bdfb3 SHA512 
3869f98070d3a5d2f41824fa9caaae97cfa408e01f356358568df91015970bf3624e93ed4b7666a086d42883fcb1d061f5854a8ece90d0ffdb685c898cb9462d
 WHIRLPOOL 
aa3ee424392fb0f26471ce1fc68418c2026cf452506e89388bdd9c29d0cf002b98aa67c0ad8997ec1d13679b22cb3823fe9ea3cd53e39c2cc706cc992f3e0b6d
 DIST debootstrap_1.0.82.tar.gz 64344 SHA256 
db0dfad15d5338a8cdbcc3bbfda8dc59c58edf07511303f31746ef6fcc733835 SHA512 
0279477b90271c12a4d73b075d45263d09dfe0f3d78e03d316a20644d697e40b65025e24fb6804f97d64eef79a7d250ea87f4557eb444ef37732bb8363cec718
 WHIRLPOOL 
3bf045167d14b75db4632071028b89dc96223cf950f2f4ed8c3761143ec8c17ac0c992b4fe286586aa0adfc0ec8e3cbb03de351842694f251a63682817695146
+DIST debootstrap_1.0.83.tar.gz 65551 SHA256 
64d571e8807643ce098e2c4eff0ce17ae246569f1f07224244649be36eaac6b4 SHA512 
5d0476f4be5dbfb5877b91499483079391296e2e04d11247f5ffd4b776851eacc85ac4036470cf742a3e9d81c53a061c8e8e9dcea952c9bf2ea7e856331d0fd3
 WHIRLPOOL 
a4f762cefb12492f36a0cf191ce6cc250263c8b713a6b0661eceb89d83e07ada04fda4b74f73a599f77463c5a110f5a5015c4e672b27bd0aaa52fafa3f9c98be
 DIST devices.tar.gz 47835 SHA256 
0d93f93c8b21160069d14e74f8f990a2e0e1e5a90dc828b29e6b3f5aa5829e48 SHA512 
994ec8d72e3d52d2d872f7ff0da2336e4cbd3a5fa73bb6cdb9e06f5e7f5b8c69cea639c738fdba1186f382d6dcf62e7746fface664bfbd744aac24b16f034432
 WHIRLPOOL 
222963bb920e1311bc2f481bba04e49f386b60cce6ce0576424896277e0c4fc6a339d4403d587744c32b0bfb1db6391f200fa8d66117e3f21e1c12f35365d732

diff --git a/dev-util/debootstrap/debootstrap-1.0.83.ebuild 
b/dev-util/debootstrap/debootstrap-1.0.83.ebuild
new file mode 100644
index 00000000..1ea5e16
--- /dev/null
+++ b/dev-util/debootstrap/debootstrap-1.0.83.ebuild
@@ -0,0 +1,52 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+inherit eutils
+
+DESCRIPTION="Debian/Ubuntu bootstrap scripts"
+HOMEPAGE="http://packages.qa.debian.org/d/debootstrap.html";
+SRC_URI="mirror://debian/pool/main/d/${PN}/${PN}_${PV}.tar.gz
+       mirror://gentoo/devices.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~sh ~sparc ~x86 
~amd64-linux ~x86-linux"
+
+RDEPEND="
+       app-arch/dpkg
+       net-misc/wget
+       sys-devel/binutils
+"
+
+DOCS=( TODO debian/changelog )
+
+S=${WORKDIR}/${PN}
+
+src_unpack() {
+       unpack ${PN}_${PV}.tar.gz
+       cp "${DISTDIR}"/devices.tar.gz "${S}"
+}
+
+src_compile() {
+       return
+}
+
+src_install() {
+       default
+       doman debootstrap.8
+}
+
+pkg_postinst() {
+       if ! has_version ${CATEGORY}/${PN} && ! has_version app-crypt/gnupg; 
then
+               elog "To check Release files against a keyring (--keyring=K), 
please"
+               elog "install app-crypt/gnupg"
+       fi
+
+       if ! has_version app-crypt/debian-archive-keyring || ! has_version 
app-crypt/ubuntu-keyring; then
+               elog "To check Release files from Debian or Ubuntu, please 
install"
+               elog " app-crypt/debian-archive-keyring or"
+               elog " app-crypt/ubuntu-keyring as required"
+       fi
+}

Reply via email to